Error installing imunify360.
Forum
  1. Forums
  2. Imunify360
  3. Imunify360 and Imunify Sensor
  1. Yuri Lobo
  2. Wednesday, 26 April 2017
  3.  Subscribe via email
I'm trying to install imunify360 but I get this error running i360deploy.sh:

Loaded plugins: fastestmirror, rhnplugin
Cleaning repos: cloudlinux-x86_64-server-6 imunify360 kernelcare r1soft
Cleaning up Everything
Checking if has already been registered... INFO [+ 530ms] __main__|Unknown error happened. See logs for more information
ERROR [+ 531ms] __main__|no such table: license
Traceback (most recent call last):
File "/opt/alt/python35/lib64/python3.5/site-packages/peewee.py", line 3676, in execute_sql
cursor.execute(sql, params or ())
sqlite3.OperationalError: no such table: license

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/imunify360-agent", line 90, in <module>
main()
File "/usr/bin/imunify360-agent", line 83, in main
args.call(args)
File "/opt/alt/python35/lib/python3.5/site-packages/defence360agent/cli/registration.py", line 147, in report_rstatus
is_valid = rpc.license_info()
File "/opt/alt/python35/lib/python3.5/site-packages/defence360agent/simple_rpc/__init__.py", line 220, in _dispatch
return self._impl.dispatch(method, kwargs)
File "/opt/alt/python35/lib/python3.5/site-packages/defence360agent/simple_rpc/__init__.py", line 194, in dispatch
return loop.run_until_complete(route_to_endpoint(ipc_callback))
File "/opt/alt/python35/lib64/python3.5/asyncio/base_events.py", line 466, in run_until_complete
return future.result()
File "/opt/alt/python35/lib64/python3.5/asyncio/futures.py", line 293, in result
raise self._exception
File "/opt/alt/python35/lib64/python3.5/asyncio/tasks.py", line 241, in _step
result = coro.throw(exc)
File "/opt/alt/python35/lib/python3.5/site-packages/defence360agent/simple_rpc/__init__.py", line 66, in route_to_endpoint
return await route_to(**ipc_callback.kwargs)
File "/opt/alt/python35/lib/python3.5/site-packages/defence360agent/simple_rpc/endpoints.py", line 278, in license_info
return await LicenseCLN.license_status()
File "/opt/alt/python35/lib/python3.5/site-packages/defence360agent/internals/cln.py", line 47, in license_status
License.get_license
File "/opt/alt/python35/lib/python3.5/site-packages/defence360agent/model/simplification.py", line 45, in run_in_executor
return await loop.run_in_executor(_executor, cb)
File "/opt/alt/python35/lib64/python3.5/asyncio/futures.py", line 380, in __iter__
yield self # This tells Task to wait for completion.
File "/opt/alt/python35/lib64/python3.5/asyncio/tasks.py", line 304, in _wakeup
future.result()
File "/opt/alt/python35/lib64/python3.5/asyncio/futures.py", line 293, in result
raise self._exception
File "/opt/alt/python35/lib64/python3.5/concurrent/futures/thread.py", line 55, in run
result = self.fn(*self.args, **self.kwargs)
File "/opt/alt/python35/lib/python3.5/site-packages/defence360agent/model/simplification.py", line 727, in get_license
'expiration': 0,
File "/opt/alt/python35/lib64/python3.5/site-packages/peewee.py", line 4800, in get_or_create
return query.get(), False
File "/opt/alt/python35/lib64/python3.5/site-packages/peewee.py", line 3090, in get
return next(clone.execute())
File "/opt/alt/python35/lib64/python3.5/site-packages/peewee.py", line 3142, in execute
self._qr = ResultWrapper(model_class, self._execute(), query_meta)
File "/opt/alt/python35/lib64/python3.5/site-packages/peewee.py", line 2826, in _execute
return self.database.execute_sql(sql, params, self.require_commit)
File "/opt/alt/python35/lib64/python3.5/site-packages/peewee.py", line 3683, in execute_sql
self.commit()
File "/opt/alt/python35/lib64/python3.5/site-packages/peewee.py", line 3507, in __exit__
reraise(new_type, new_type(*exc_args), traceback)
File "/opt/alt/python35/lib64/python3.5/site-packages/peewee.py", line 134, in reraise
raise value.with_traceback(tb)
File "/opt/alt/python35/lib64/python3.5/site-packages/peewee.py", line 3676, in execute_sql
cursor.execute(sql, params or ())
peewee.OperationalError: no such table: license
Sentry is attempting to send 1 pending error messages
Waiting up to 10 seconds
Press Ctrl-C to quit
Registration server general error.

[email protected]:~#

Can anyone help me understand what's happening, please?

Thank you.
Rate this post:
  1. 27.04.2017 08:04:49
  2. # 1
Nikolay Accepted Answer
Posts: 8
Joined: 10.03.2017
0
Votes
Undo
Could you please open a ticket in the helpdesk - https://helpdesk.cloudlinux.com/index.php?/Tickets/Submit/renderform/9?

--
imunify360 dev team
  • Page :
  • 1


There are no replies made for this post yet.
Be one of the first to reply to this post!
Guest
Submit Your Response
Upload files or images for this discussion by clicking on the upload button below. Supports gif,jpg,png,zip,rar,pdf
• Insert • Remove Upload Files (Maximum File Size: 2 MB)
Captcha
To protect the site from bots and unauthorized scripts, we require that you enter the captcha codes below before posting your question.